Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jndi
Class InitialContextFactoryImpl

    java.lang.Object
      |
      +--org.huihoo.jfox.jndi.InitialContextFactoryImpl

All Implemented Interfaces:
  javax.naming.spi.InitialContextFactory, javax.naming.spi.ObjectFactory

public class InitialContextFactoryImpl
extends java.lang.Object
implements javax.naming.spi.InitialContextFactory, javax.naming.spi.ObjectFactory

Author:
  Young Yang

Constructor Summary
`InitialContextFactoryImpl()`

Method Summary
`javax.naming.Context` | `getInitialContext(java.util.Hashtable env)`
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context ctx, java.util.Hashtable environment)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitialContextFactoryImpl

    public InitialContextFactoryImpl()

Method Detail

### getInitialContext

    public javax.naming.Context getInitialContext(java.util.Hashtable env)
                                           throws javax.naming.NamingException

  Specified by:
    `getInitialContext` in interface `javax.naming.spi.InitialContextFactory`

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context ctx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD